Name:           concurrentunit
Version:        0.4.3
Release:        1%{?dist}
Summary:        Toolkit for testing multi-threaded and asynchronous applications
License:        ASL 2.0
URL:            https://github.com/jhalterman/%{name}
BuildArch:      noarch

Source0:        %{url}/archive/%{name}-%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.hamcrest:hamcrest-all)
BuildRequires:  mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires:  mvn(org.testng:testng)

# runtime optional features
%if 0%{?fedora}
Suggests:       hamcrest
%endif

%description
ConcurrentUnit was created to help developers test multi-threaded
or asynchronous code. It allows you to perform assertions and wait
for operations in any thread, with failures being properly reported
back to the main test thread. If an assertion fails, your test fails,
regardless of which thread the assertion came from.

%package javadoc
Summary:         Javadoc files for %{name}

%description javadoc
%{summary}.


%prep
%autosetup -n%{name}-%{name}-%{version}
# unbundle hamcrest
sed -i /optional/d pom.xml
# W: wrong-file-end-of-line-encoding
sed -i 's,\r,,' *.md

%build
%mvn_build

%install
%mvn_install


%files -f .mfiles
%license LICENSE.txt
%doc *.md

%files javadoc  -f .mfiles-javadoc
%license LICENSE.txt


%changelog
* Wed Jan 10 2018 Raphael Groner <projects.rg@smart.ms> - 0.4.3-1
- new version

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 0.4.2-3
- Add missing build-requires

* Thu Mar 31 2016 Raphael Groner <projects.rg@smart.ms> - 0.4.2-2
- add patch for license header
- fix line delimiter
- unbundle hamcrest

* Sun Feb  7 2016 Raphael Groner <projects.rg@smart.ms> - 0.4.2-1
- initial
